| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::crit_in_place_EA_more_recent Class Reference
API

returns true if the EA of the first entry is more recent or equal to the one of the second entry More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions
| crit_in_place_EA_more_recent (const infinint &hourshift=0)
bool | evaluate (const cat_nomme &first, const cat_nomme &second) const
| criterum interface method More...
criterium * | clone () const
| clone construction method More...
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)
Static Protected Member Functions inherited from libdar::criterium
static const cat_inode * | get_inode (const cat_nomme *arg)

## Detailed Description

returns true if the EA of the first entry is more recent or equal to the one of the second entry

if no EA are present in 'to be added' or if it even not an inode true is returned. If 'in place' does not have EA or is even not an inode true is returned unless 'to be added' has EA present.

Note
  that the comparison is done on the ctime, EA may be just marked as saved in the archive of reference or be saved in the current archive, this does not have any impact on the comparison.

Definition at line 387 of file criterium.hpp.

## Member Function Documentation

criterium* libdar::crit_in_place_EA_more_recent::clone | ( |  | ) | const
| inline virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 393 of file criterium.hpp.

References libdar::on_pool::get_pool().

bool libdar::crit_in_place_EA_more_recent::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second
| ) |  | const
| virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

The documentation for this class was generated from the following file:

- criterium.hpp